function dat = calcThermal( elph, r, Psub, Pcoat, w, thickness, radius )
% function dat = calcThermal( elph, r, Psub, Pcoat, w, thickness, radius, nRef [1.45] )
% calculate thermoelastic (elph = 0) and thermal lens(elph=1) using Hello-Vinet formula
% This is an interface function between FOGPrime13 and HVThermal

rlist = linspace(0,radius,101);
datR = HVThermal( elph, rlist, Psub, Pcoat, w, thickness, radius );
dat = interp1( rlist, datR(:,1), r );

end
