classdef CCIFO < FFTIFO
    
    methods
        function obj = CCIFO( varargin )
            obj@FFTIFO( varargin{:} );
        end

        function defineIFO( obj, varargin )
            PRCRoC = 1431.4629868132468573;
            ITMRoC = 1420;
            ETMRoC = 1683;

            LPRC = 11.952;
            Lcav = 2999.8;
                        
            Amass = 0.333;

            TPRM = 0.05;
            TITM = 0.014;
            TETM = 1e-6;
            
            % fp = FPIFO('tiltE', 1e-8)
            eval( UtilTK.setVars( who, true, varargin{:} ) );

            %% add optics
            % laser source
            obj.addLaser( 'src' );
            
            
            obj.addMirror( 'PRM', 'invRoC', 1/PRCRoC, 'Aperture', Amass, 'Thick', 0, 'T', TPRM, 'nRef', 1);
            obj.addMirror( 'ITM', 'invRoC', 1/ITMRoC, 'Aperture', Amass, 'Thick', 0, 'T', TITM, 'nRef', 1);
            obj.addMirror( 'ETM', 'invRoC', 1/ETMRoC, 'Aperture', Amass, 'Thick', 0, 'T', TETM);
            
            %% define connections among optics
            obj.addProp( '', 'src', 'PRM-AR' );
            obj.addProp( '', 'PRM-HR', 'ITM-AR', LPRC );
            obj.addProp( 'FPprop', 'ITM-HR', 'ETM-HR', Lcav);
            
%              obj.setHRfiles( 'PRM', './Data/rich/PRmap1_256x256_grid400.col', '', 0.16, PRCRoC );
%              obj.setHRfiles( 'ITM', './Data/rich/NImap5_256x256_grid400.col', '', 0.16, ITMRoC );
%              obj.setHRfiles( 'ETM', './Data/rich/NEmap6_256x256_grid400.col', '', 0.16, ETMRoC );

        end
    end
end
