%% create FP cavity based on FFTIFO
classdef FPIFOETM12 < FFTIFO
    
    methods
        function obj = FPIFOETM12( varargin )
            obj@FFTIFO( varargin{:} );
        end

        function defineIFO( obj, varargin )
            ETMmap = 'ETM12_CIT.dat';
        	eval( UtilTK.setVars( who, true, varargin{:} ) );

        %% this defines the IFO configuration
            %% add optics
            % laser source
            obj.addLaser( 'src' );
            
            % ITM
            obj.addMirror( 'ITM', 'invRoC', 1/1934, 'Aperture', 0.325, 'Thick', 0.2, ...
                'T', 1.4e-2, 'Lhr', 0, 'Lar', 0 );
            % ETM
            obj.addMirror( 'ETM', 'invRoC', 1/2245, 'Aperture', 0.325, 'Thick', 0.2, ...
                'T', 0, 'Lhr', 0, 'resolution', 2e-3, 'removeTilt', true  );
            
            % detector behind ETM
            obj.addDetector( 'trans' );
            
            %% define connections among optics
            obj.addProp( '', 'src', 'ITM-AR' );
            obj.addProp( 'FPprop', 'ITM-HR', 'ETM-HR', 3994.5);
            obj.addProp( '', 'ETM-AR', 'trans' );
            
            %% use the measured maps
            % ETM HR surface
            % polished
            obj.setHRfiles( 'ETM', strcat('./Data/', ETMmap), '', 0.16, 2245 );
        end
    end
end

