% H1 case
% RoCs of coated mirrors
ITMXRoC = 1939.3;
ITMYRoC = 1939.20;
ETMXRoC = 2241.54;
ETMYRoC = 2238.9;
if ~exist('useCoated', 'var') || useCoated
    ITMXmap = './data/ITM03_CIT.dat';
    ITMYmap = './data/ITM11_CIT.dat';
    ETMXmap = './data/ETM08_CIT.dat';
    ETMYmap = './data/ETM12_CIT.dat';
else
    ITMXmap = './Data/xITM_03_R1_Figure.dat';
    ITMYmap = './Data/xITM_11_R1_Figure.dat';
    ETMXmap = './Data/ETM_08_R1_Figure.dat';
    ETMYmap = './Data/xETM_12_R1_Figure.dat';
end
ITMXSPTWE = './Data/xITM_03_SPTWE_Figure.dat'; ITMXSPTWE_RoC = -80.213e3;
CPXmap = './Data/xCP_01_SPTWE_Figure.dat';
ITMYSPTWE = './Data/xITM_11_SPTWE_Figure.dat'; ITMYSPTWE_RoC = 572.117e3;
CPYmap = './Data/xCP_05_SPTWE_Figure.dat';

BSNN = 6;       % BS ID, 6 for BS06 for LHO
Abs = 0.36985;
dBS = 0.06041;
if exist('BSScale', 'var')
    Abs = Abs * BSScale;
    dBS = dBS * BSScale;
end

PRMRoC = -11.009; dPRM = 0.0749; PR2RoC = -4.545; PR3RoC = 36.027;
T_PRM = 3.1e-2; T_PR2 = 243e-6; T_PR3 = 5.3e-6;
T_BS = 0.5;
HRLoss_PRM = (15+0.5)*1e-6; ARLoss_PRM = (11.45+26)*1e-6;
HRLoss_PR2 = 8.6e-6; HRLoss_PR3 = 17e-6;
HRLoss_BS = 8.6e-6; ARLoss_BS = 31.7e-6;
T_ITMX = 1.48e-2; HRLoss_ITMX = 10.4e-6; ARLoss_ITMX = (164+42)*1e-6;
T_ITMY = 1.48e-2; HRLoss_ITMY = 14.3e-6; ARLoss_ITMY = (250+80)*1e-6;
T_ETMX = 3.7e-6; HRLoss_ETMX = 10.9e-6;
T_ETMY = 3.6e-6; HRLoss_ETMY = 9.3e-6;

dPRC23Corr = 0.00291777;

dPRC12 = 16.6107; dPRC23 = 16.1647 + dPRC23Corr; dPRC3B = 19.5384;
dCP = 0.10;  dBSCPX = 4.8046;  dBSCPY = 4.8497; dCPITM = 0.005;
thetaPR2 = 0.79/180*pi;  thetaPR3 = 0.615/180*pi;
thetaSR2 = 0.87/180*pi;  thetaSR3 = 0.785/180*pi;

CPinvFnumX = -1/ITMXSPTWE_RoC;
CPinvFnumY = -1/ITMYSPTWE_RoC;
