function [out, HG] = IMCNMscan( imc, nx, ny, Nbin )
% function [out, HG] = IMCNMscan( imc, nx, ny, Nbin )

% nmList = [0,1; 1,0; 2,0; 1,1; 3,0; 2,1; 4,0; 3,1 ];

eta00p = 2.828256478545521e-01;
aFSR = 9.099454808141757e+06;

NRFs = Nbin+1;
out = zeros(NRFs,4);
numHGs = 5;
HG = zeros(NRFs,numHGs+1,numHGs+1);

RFs = eta00p * (nx + ny);
if mod(nx,2) == 1
    RFs = RFs + 0.5;
end
RFs = mod(RFs,1);
RFs = (RFs + 0.006*(-1:2/Nbin:1)) * aFSR;
for irf = 1:length(RFs)
    imc.setRF( RFs(irf) );
    imc.calc( 1e-6, 0 );
    out(irf,1) = RFs(irf);
    out(irf,2) = imc.power('MC2-HRx-o');          % total power
    out(irf,3) = 1 - imc.HGFrac('MC2-HRx-o',0,0);
    out(irf,4) = imc.roundtripLoss;
    HG(irf,1:numHGs+1,1:numHGs+1) = abs(imc.HGCoef('MC2-HRx-o',0:numHGs,0:numHGs)).^2;
    
    if mod(irf, 5) == 1
        fprintf(1, '%d th event, power = %d\n', irf, out(irf,2) );
    end
end
