% L1 case
% RoCs of coated mirrors
ITMXRoC = 1937.9;
ITMYRoC = 1940.7;
ETMXRoC = 2239.7;
ETMYRoC = 2242.4;
if ~exist('useCoated', 'var') || useCoated
    ITMXmap = './Data/ITM04_CITZygo.dat';
    ITMYmap = './Data/ITM08_CITZygo.dat';
    ETMXmap = './Data/ETM07_CIT.dat';
    ETMYmap = './Data/ETM09_CIT.dat';
else
    ITMXmap = './Data/itm04_s1_ASML.dat';
    ITMYmap = './Data/itm08_s1.dat';
    ETMXmap = './Data/xETM_07_R1_Figure_ASML.dat';
    ETMYmap = './Data/xETM_09_R1_Figure.dat';
end
ITMXSPTWE = './Data/itm04_sptwe.dat'; ITMXSPTWE_RoC = 302.41e3;
CPXmap = './Data/CP06_sptwe.dat';
ITMYSPTWE = './Data/itm08_sptwe.dat'; ITMYSPTWE_RoC = -82.00e3;
CPYmap = './Data/CP08_sptwe.dat';

if ~exist('BSNN', 'var')
    BSNN = 2;       % BS ID, 2 for BS02 for LLO
end
Abs = 0.36985;
dBS = 0.06041;
if exist('BSScale', 'var')
    Abs = Abs * BSScale;
    dBS = dBS * BSScale;
end

PRMRoC = -11.009; dPRM = 0.0749; PR2RoC = -4.545; PR3RoC = 36.027;
SRMRoC = -5.6938; dSRM = 0.0749; SR2RoC = -6.427; SR3RoC = 36;
T_PRM = 3.1e-2; T_PR2 = 243e-6; T_PR3 = 5.3e-6;
T_SRM = 0.2; T_SR2 = 0; T_SR3 = 0;
T_BS = 0.5;
HRLoss_PRM = (15+0.5)*1e-6; ARLoss_PRM = (11.45+26)*1e-6;
HRLoss_PR2 = 8.6e-6; HRLoss_PR3 = 17e-6;
HRLoss_BS = 8.6e-6; ARLoss_BS = 31.7e-6;
HRLoss_SRM = HRLoss_PRM;
ARLoss_SRM = ARLoss_PRM;
HRLoss_SR2 = HRLoss_PR2; HRLoss_SR3 = HRLoss_PR3;

T_ITMX = 1.48e-2; HRLoss_ITMX = 10.4e-6; ARLoss_ITMX = (164+42)*1e-6;
T_ITMY = 1.48e-2; HRLoss_ITMY = 14.3e-6; ARLoss_ITMY = (250+80)*1e-6;
T_ETMX = 3.7e-6; HRLoss_ETMX = 10.9e-6;
T_ETMY = 3.6e-6; HRLoss_ETMY = 9.3e-6;

dPRC23Corr = 0.00291777;

dPRC12 = 16.6107; dPRC23 = 16.1647 + dPRC23Corr; dPRC3B = 19.5384;
dSRC12 = 15.7566; dSRC23 = 15.4435; dSRC3B = 19.368;
dCP = 0.10;  dBSCPX = 4.829;  dBSCPY = 4.847; dCPITM = 0.02;
thetaPR2 = 0.79/180*pi;  thetaPR3 = 0.615/180*pi;
thetaSR2 = 0.87/180*pi;  thetaSR3 = 0.785/180*pi;

CPinvFnumX = -1/ITMXSPTWE_RoC;
CPinvFnumY = -1/ITMYSPTWE_RoC;