%% load BS COMSOL model, and make it global to be accessed in calcBSatZ
% to be done once
% global BSmodel;
% BSmodel = mphload('BS.mph');

%% load short Michelson
clear mich
mich = demoShortMich;
darkID = mich.fields.findNamedField('BS-ARy-o')

%% show about field propagation
mich.cavities.printAll

%% calculate field BS -> ITM Y -> BS -> dark
mich.cavities.propFields( mich.cavities.tree{2})
[EdY, Xd] = mich.getField(darkID);
% calculate field BS -> ITM X -> BS -> dark
mich.cavities.propFields( mich.cavities.tree{4})
EdX = mich.getField(darkID);

%% calculate contrast defect
CD =@(theta) sum(sum(abs(EdY+EdX*exp(1i*theta)).^2));
% formula for dark port
EEXY = sum(sum( EdX .* conj(EdY)));
phi = mod( pi - atan2(imag(EEXY), real(EEXY)), 2*pi );

% contrast defect
CDmin = CD(phi) / CD(phi+pi) * 1e6

Edark = EdY + exp(1i*phi)*EdX;
figure(4)
mesh( Xd, Xd, abs( Edark).^2 ); view(0, 90); axis equal