format short e

% useful helps
help FFTIFO
help FFTIFO.addMirror
help FFTIFO.addProp
help FFTIFO.setHRfiles
% define FP setup
fp = FPIFO;
% lock FP
fp.lock;
% print various informations
fp.printAll
% get complex amplitude and coordinate of a field 
% on ITM, HR side, going into ITM
[E0, x0] = fp.getField('ITM-HR-i');
figure(1)
% power distribution on the plane at ITM
mesh( x0, x0, log(abs(E0))); colorbar;
% The default window size is enough for almost all
% but we want to see the ring pattern scattered by the spiral oattern by the coating
% the radius of the ring on the ITM plane is 55cm, so make the window size larger, 1.4m
[E1, x1] = fp.getField('ITM-HR-i', 1.4);
figure(2)
% now the beautiful ring is visible
mesh( x1, x1, log(abs(E1))); colorbar;
% HG components of this field
Cmn = fp.HGCoef('ETM-HR-o',0:5,0:5);
% fraction of each mode
abs(Cmn).^2 / fp.power('ETM-HR-o')
% loss of a field falling out of ITM mirror
% field and optic ID to access details
fldID = fp.fields.findNamedField( 'ITM-HR-i' );
optID = fp.optics.findNamedOptic( 'ITM' );
% ITM aperture
Aperture = fp.optics.optList(optID).Aperture;
% power of the field in a given radius, like mirror radius
powerOnITM = fp.fields.fieldList(fldID).calcSumIn(Aperture/2);
% power leaving ETM is fp.power('ETM-HR-o')
% so the loss falling out of ITM is
loss = 1 - powerOnITM  / fp.power('ETM-HR-o')
