function Pin = evalPD( E, x, r, locx, locy )
% function Pin = evalPD( E, x, r, locx, locy )
% locs = [0.144,0.140; -0.144, 0.419; -0.430, 0.0714; -0.144, -0.148];

if ~exist( 'locy', 'var' )
    locy = locx(:,2);
    locx = locx(:,1);
else
    if length(locx) == 1
        locx(2:length(locy)) = locx(1);
    end
    if length(locy) == 1
        locy(2:length(locx)) = locy(1);
    end
end

Pin = zeros(1, length(locx));
Ptot = sumIn( x, E, max(abs(x)), max(abs(x)), 0, 0 );

for iloc = 1 : length(Pin)
    Pin(iloc) = sumIn( x, E, r, r, locx(iloc), locy(iloc) ) / Ptot;
end

end

function val = sumIn( x, E, rx, ry, x0, y0 )

[xg,yg] = meshgrid( x, x );
ind = find( (xg-x0).^2/rx^2 + (yg-y0).^2/ry^2 <= 1 );
val = sum(sum( abs(E(ind).^2) )) * (x(2)-x(1))^2;

end
