function [RoC, P] = findRoC( TMid, LGp, RoC0, Aperture, Pcoat )
% function [RoC, P] = findRoC( TMid, LGp, RoC0 )

dRoC = 1;

while abs(dRoC) > 0.01
    mir = MirrorRefIFO( 'TMid', TMid, 'fieldMode', 'LG', 'ind1', LGp, 'RoCF', RoC0, 'Aperture', Aperture, 'Pcoat', Pcoat);
    P0 = mir.LGFrac( 'TM-HR-o', LGp, 0 );
    mir = MirrorRefIFO( 'TMid', TMid, 'fieldMode', 'LG', 'ind1', LGp, 'RoCF', RoC0+dRoC, 'Aperture', Aperture, 'Pcoat', Pcoat);
    Pp = mir.LGFrac( 'TM-HR-o', LGp, 0 );
    mir = MirrorRefIFO( 'TMid', TMid, 'fieldMode', 'LG', 'ind1', LGp, 'RoCF', RoC0-dRoC, 'Aperture', Aperture, 'Pcoat', Pcoat);
    Pm = mir.LGFrac( 'TM-HR-o', LGp, 0 );
    
    C0 = P0;
    C1 = (Pp-Pm)/4;
    C2 = (Pp+Pm)/2 - C0;
    if abs(C1) < 1e-6 && abs(C2) < 1e-6
        break;
    end
    dRoC = C1/C2*dRoC;
    RoC0 = RoC0 - dRoC;
end

RoC = RoC0;
mir = MirrorRefIFO( 'TMid', TMid, 'fieldMode', 'LG', 'ind1', LGp, 'RoCF', RoC0, 'Aperture', Aperture);
P = mir.LGFrac( 'TM-HR-o', LGp, 0 );
