function [RoC, xc, yc] = localRoC( map, x, y, N, w, radius )

RoC = zeros(2*N+1,2*N+1);
xc = zeros(1,2*N+1);
yc = zeros(1,2*N+1);

if ~exist('w', 'var' )
    w = 0.0082;
end
if ~exist( 'radius', 'var' )
    radius = w*2;
end
offset = N+1;
for ix = -N:N
    xc(ix+offset) = 20*ix;
    for iy = -N:N
        yc(iy+offset) = 20*iy;
        if ix >= 0
            if iy >= 0
                [~,Coef] = ...
                    zernikeCoef( map(yc(iy+offset)+1:end, xc(ix+offset)+1:end), x(1:end-xc(ix+offset)), y(1:end-yc(iy+offset)), ...
                    radius, 3, 1, false, w );
            else
                [~,Coef] = ...
                    zernikeCoef( map(1:end+yc(iy+offset), xc(ix+offset)+1:end), x(1:end-xc(ix+offset)), y(-yc(iy+offset)+1:end), ...
                    radius, 3, 1, false, w );
            end
        else
            if iy >= 0
                [~,Coef] = ...
                    zernikeCoef( map(yc(iy+offset)+1:end, 1:end+xc(ix+offset)), x(-xc(ix+offset)+1:end), y(1:end-yc(iy+offset)), ...
                    radius, 3, 1, false, w );
            else
                [~,Coef] = ...
                    zernikeCoef( map(1:end+yc(iy+offset), 1:end+xc(ix+offset)), x(-xc(ix+offset)+1:end), y(-yc(iy+offset)+1:end), ...
                    radius, 3, 1, false, w );
            end
        end
        RoC(ix+offset,iy+offset) = radius^2/(4*Coef(4));
    end
end
xc = xc * (x(2) - x(1));
yc = yc * (y(2) - y(1));
