function [xpeak, dat] = runFPHG1( fp, tiltE, n, lockIt, HGmode )
% function dat = runIMC( imc, RFs )
% dat(1,:) = RF
% dat(2,:) = power
% dat(3,:) = HOM
% dat(4,:) = HG(1,0)

if ~exist( 'n', 'var' )
    n = -10:10;
end

if ~exist( 'tiltE', 'var' )
    tiltE = 0;
end

fp.updateMirMaps('ETM', 'tiltE', tiltE);
fp.setRF(0);

if ~( exist('lockIt', 'var') && ~lockIt )
    fp.lock;
end

if ~exist( 'HGmode', 'var' )
    HGmode = 1;
end

RFs = ConstantTK.c/(2*pi)/fp.props.propList(3).L0*(fp.props.propList(3).gouy00-pi)*HGmode + n;
dat = zeros(5,length(RFs));
if HGmode == 1
    index = 4;
else
    index = 5;
end
for irf = 1:length(RFs)
    fp.setRF( RFs(irf) );
    fp.calc( 1e-6, 0 );
    dat(1,irf) = RFs(irf);
    dat(2,irf) = fp.power('ETM-HR-o');
    dat(3,irf) = 1 - fp.HGFrac('ETM-HR-o',0,0);
    dat(4,irf) = abs(fp.HGCoef('ETM-HR-o',1, 0))^2;
    dat(5,irf) = abs(fp.HGCoef('ETM-HR-o',0, 0))^2;
    fprintf(1, '%d > RF = %12.4f, HG10 = %g, HG00 = %g\n', irf, RFs(irf), dat(4,irf), dat(5,irf) );
    if irf > 3
        if (dat(index,irf) < dat(index,irf-1)) & (dat(index,irf-1) < dat(index,irf-2))
            break;
        end
    end
end

xpeak = peakpos( dat(1,:), dat(index,:));
if xpeak < RFs(1) || xpeak > RFs(end)
    fprintf(1, 'peak (%g) is out of range scaned (%g, %g)\n', xpeak, RFs(1), RFs(end));
end

