function [xpeak, dat] = runFPHGmn( fp, HGmn, dRF, nMore )
% function dat = runIMC( imc, RFs )
% dat(1,:) = RF
% dat(2,:) = power
% dat(3,:) = HOM
% dat(4,:) = HG(1,0)

if ~exist( 'nMore', 'var' )
    nMore = 0;
end

if ~exist( 'dRF', 'var' )
    dRF = -10:10;
end

% fp.updateMirMaps('ETM', 'tiltE', tiltE);
fp.setRF(0);

RFs = ConstantTK.c/(2*pi)/fp.props.propList(3).L0*mod((fp.props.propList(3).gouy00/pi*(HGmn(1) + HGmn(2))),1)*pi + dRF;
dat = zeros(5,length(RFs));
fprintf(1, 'RFs(0) = %g\n', ConstantTK.c/(2*pi)/fp.props.propList(3).L0*mod((fp.props.propList(3).gouy00/pi*(HGmn(1) + HGmn(2))),1)*pi );
nTarget = 0;
for irf = 1:length(RFs)
    fp.setRF( RFs(irf) );
    fp.calc( 1e-6, 0 );
    dat(1,irf) = RFs(irf);
    dat(2,irf) = fp.power('ETM-HR-o');
    dat(3,irf) = 1 - fp.HGFrac('ETM-HR-o',0,0);
    dat(4,irf) = abs(fp.HGCoef('ETM-HR-o',HGmn(1), HGmn(2)))^2;
    dat(5,irf) = abs(fp.HGCoef('ETM-HR-o',0, 0))^2;
    fprintf(1, '%d > RF = %12.4f, power = %g, HGmn = %g, HG00 = %g\n', irf, RFs(irf), dat(2,irf), dat(4,irf), dat(5,irf) );
    if irf > 3 && nTarget == 0
        if (dat(4,irf) < dat(4,irf-1)) && (dat(4,irf-1) < dat(4,irf-2))
            nTarget = irf + nMore;
        end
    end
    if irf == nTarget
        dat = dat(:,1:irf);
        break;
    end
end

xpeak = peakpos( dat(1,:), dat(4,:));
if xpeak < RFs(1) || xpeak > RFs(end)
    fprintf(1, 'peak (%g) is out of range scaned (%g, %g)\n', xpeak, RFs(1), RFs(end));
end

