function scanTiltLoss( fp, tilts, outFile )

outID = 0;
if exist( 'outFile', 'var' )
    fclose('all');
    outID = fopen(outFile, 'w');
end

for itI = 1 : length(tilts)    
    fp.updateMirMaps( 'ITM', 'tiltI', tilts(itI) );
    for itE = 1 : length(tilts)
        fp.updateMirMaps( 'ETM', 'tiltE', tilts(itE) );
        fp.lock( 1e-5, 0);
        
        oneAnal( outID, tilts(itI), tilts(itE), fp );
    end
end

function oneAnal( outID, tiltI, tiltE, fp )

[~,infoI] = fp.gaussFit('ITM-HR-i');
[~,infoE] = fp.gaussFit('ETM-HR-i');
loss = fp.roundtripLoss;
fprintf(1, 'tiltI(ur) = %g, tiltE(ur) = %g, offsetI(mm) = %g, offsetE(mm) = %g, loss(ppm) = %g\n', tiltI*1e6, tiltE*1e6, infoI(2).c0*1000, infoE(2).c0*1000, loss*1e6 );
if outID > 1
    fprintf(outID, '%g\t%g\t%g\t%g\t%g\n', tiltI*1e6, tiltE*1e6, infoI(2).c0*1000, infoE(2).c0*1000, loss*1e6 );
end
